Bug 68453 - installer hangs
installer hangs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 07:06 EDT by Alberto Villani
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:06:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Villani 2002-07-10 07:06:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
Partition check hangs

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert valhalla disk 1 (bootable)
2.Boot the PC
3.Choose graphic installation (or text mode, or any type of installation)
4.The installer hangs on "Partition check:"
	

Additional info:hard disk is a Fujitsu 20GB 2,5" for notebook
Comment 1 Michael Fulbright 2002-07-10 14:48:52 EDT
I could not find the string "Partition check:" in the installer - what exactly
is the step where this problem occurs?  Have you been greeted by the 'Welcome to
...' screen?  Or is it a hang in the kernel starting up?
Comment 2 Miloslav Trmac 2002-07-10 18:17:36 EDT
FWIW, "Partition check:" is printed by kernel before listing partitions,
in my case
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 >
(Note that I'm not the original poster of the bug).
Comment 3 Alberto Villani 2002-07-11 04:46:01 EDT
 After the screen where you are asked to type "linux dd", "linux rescue", 
"text" or to hit enter, whatever you choose, kernel boot hangs: 
.... 
Partition check: 
hda: 
(hang)  
 
I tried the cd on other computers and it works. 
 
I found a workaround. 
I installed RedHat 7.3 via ftp using RedHat 7.2 "bootnet.img". 
After the installation the installed kernel had the same problem of the 
installation kernel. 
I booted again with RedHat 7.2 bootnet.img, I typed "linux rescue", then I 
chrooted in "/mnt/sysimage". 
After downloading linux-2.4.18 from "kernel.org" I recompiled the kernel and 
now it seems to work. 
Comment 4 Michael Fulbright 2002-07-15 12:58:59 EDT
Ok the installer has not been run yet, reassigning to the kernel component.
Comment 5 Arjan van de Ven 2002-07-15 13:07:34 EDT
do you know what IDE chipset you have ?
Comment 6 Alberto Villani 2002-07-18 04:24:21 EDT
My IDE chipset is the ALI 15X3, but I'm not sure, the notebook is an Acer
TravelMate 522TX
Comment 7 ben.de.rydt 2002-09-20 10:34:58 EDT
An educated guess:

The ALI 15X3 regulary hangs my own laptop (Toshiba Sattelite 1620CDT)
when DMA is on. Try booting the kernel without DMA, something like

linux ide=nodma
Comment 8 Dave Jones 2003-12-16 22:06:31 EST
Closing due to inactivity in over a year, and pending EOL.

Note You need to log in before you can comment on or make changes to this bug.